<?xml version="1.0" encoding="ISO-8859-1"?>

<screensaver name="cubenetic" _label="Cubenetic" gl="yes">

  <command arg="--root"/>

  <video href="https://www.youtube.com/watch?v=aElbM0rZZNg"/>

  <hgroup>
   <vgroup>
    <number id="delay" type="slider" arg="--delay %"
            _label="Frame rate" _low-label="Low" _high-label="High"
            low="0" high="100000" default="20000"
            convert="invert"/>

    <number id="count" type="slider" arg="--count %"
            _label="Boxes" _low-label="Few" _high-label="Many"
            low="1" high="20" default="5"/>

    <hgroup>
     <boolean id="wander" _label="Wander" arg-unset="--no-wander"/>

     <select id="rotation">
       <option id="no"  _label="Don't rotate"               arg-set="--spin 0"/>
       <option id="x"   _label="Rotate around X axis"       arg-set="--spin X"/>
       <option id="y"   _label="Rotate around Y axis"       arg-set="--spin Y"/>
       <option id="z"   _label="Rotate around Z axis"       arg-set="--spin Z"/>
       <option id="xy"  _label="Rotate around X and Y axes" arg-set="--spin XY"/>
       <option id="xz"  _label="Rotate around X and Z axes" arg-set="--spin XZ"/>
       <option id="yz"  _label="Rotate around Y and Z axes" arg-set="--spin YZ"/>
       <option id="xyz" _label="Rotate around all three axes"/>
     </select>
    </hgroup>
   </vgroup>

   <vgroup>
    <number id="wave-speed" type="slider" arg="--wave-speed %"
            _label="Surface pattern speed" _low-label="Slow" _high-label="Fast"
            low="5" high="150" default="80"/>

    <number id="wave-radius" type="slider" arg="--wave-radius %"
            _label="Surface pattern overlap"
            _low-label="Small" _high-label="Large"
            low="5" high="600" default="512"/>

    <number id="waves" type="slider" arg="--waves %"
            _label="Surface pattern complexity"
            _low-label="Low" _high-label="High"
            low="1" high="20" default="3"/>
   </vgroup>
  </hgroup>

  <hgroup>
   <boolean id="tex"     _label="Textured"  arg-unset="--no-texture"/>
   <boolean id="wire"    _label="Wireframe"   arg-set="--wireframe"/>
   <boolean id="showfps" _label="Show frame rate" arg-set="--fps"/>
  </hgroup>

  <xscreensaver-updater />

  <_description>
A cubist Lavalite, sort of.  A pulsating set of overlapping boxes with
ever-changing blobby patterns undulating across their surfaces.

Written by Jamie Zawinski; 2002.
  </_description>
</screensaver>
